GIT-UBUNTU-REMOTE(1)

NAME
git-ubuntu-remote - Manage Launchpad source package Git remotes

SYNOPSIS
git ubuntu remote [-d | --directory <directory>] [-l | --lp-user <lp_user>] [-r | --remote-name <name>] [--no-fetch] [--package <package>] add <user> [<url>]

DESCRIPTION
Launchpad source package repositories are at well-defined locations for given a username. This subcommand allows users to add these well-defined locations to a local git(1) repository. Once added, the remote can be manipulated like any Git remote.

OPTIONS

-d <directory>, --directory <directory>
    The local directory to manage the remote in. If not specified, the current directory is used.

-l <lp_user>, --lp-user <lp_user>
    The Launchpad user to authenticate as for push URLs.

-r, --remote-name <name>
    The remote name to use. If not specified, the remote will be named "<user>".

--no-fetch
    Do not fetch the remote after adding it.

--package <package>
    The source package, and thus the repository, to download from this user. By default, the source package is derived from the current directory's debian/changelog.

<user>
    The Launchpad username that owns the repository to add.

<url>
    The URL to add as a remote. If the auto-derived URL from <user> and the debian/changelog's source package is not desired, it can be manually specified.

EXIT STATUS
git ubuntu remote exits with status 0 if the command completes successfully. git ubuntu remote exits with nonzero exit status on errors.

REPORTING BUGS
Report bugs at https://bugs.launchpad.net/git-ubuntu .

SEE ALSO
git-remote(1)

GIT-UBUNTU
Part of the git-ubuntu(1) suite